<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WorkFormulas](./bitburner.workformulas.md)

## WorkFormulas interface

Work formulas

**Signature:**

```typescript
interface WorkFormulas 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [companyGains(person, companyName, workType, favor)](./bitburner.workformulas.companygains.md) |  |
|  [crimeGains(person, crimeType)](./bitburner.workformulas.crimegains.md) |  |
|  [crimeSuccessChance(person, crimeType)](./bitburner.workformulas.crimesuccesschance.md) |  |
|  [factionGains(person, workType, favor)](./bitburner.workformulas.factiongains.md) |  |
|  [gymGains(person, gymType, locationName)](./bitburner.workformulas.gymgains.md) |  |
|  [universityGains(person, classType, locationName)](./bitburner.workformulas.universitygains.md) |  |

